! plotmap --
!     Plot the various shapes
!
program plotmap
    use plplot
    implicit none
    real(kind=plflt)    minx, maxx, miny, maxy
    real(kind=plflt), dimension(1:1) :: x, y

!    Process command-line arguments
    call plparseopts(PL_PARSE_FULL)

    miny = 5450000._plflt
    maxy = 5600000._plflt

    minx =  400000._plflt
    maxx =  500000._plflt

    call plinit()

    call plscol0( 0, 255, 255, 255 )  !white
    call plscol0( 1, 0, 0, 0 )        !black
    call plscol0( 2, 255, 200, 0 )    !yelow for sand
    call plscol0( 3, 60, 230, 60 )    !green for woodland
    call plscol0( 4, 210, 120, 60 )   !brown for contours
    call plscol0( 5, 150, 0, 0 )      !red for major roads
    call plscol0( 6, 180, 180, 255 )  !pale blue for water
    call plscol0( 7, 100, 100, 100 )  !pale grey for shingle or boulders
    call plscol0( 8, 100, 100, 100 )  !dark grey for custom polygons - generally crags


    call plcol0( 2 )
    call plenv( minx, maxx, miny, maxy, 0, 0 )
    call plmapfill( "../newshp/Delwaq_l_UTMzone32N", minx, maxx, miny, maxy )

    call plend()
end program plotmap
